Welcome to MacDisk Help

Overview
MacDisk is a very simple program and we hope you’ll be able to use it without constantly resorting to the documentation. Nevertheless, it may be useful to give you some basic information about the program and its features. That is the aim of this page.

MacDisk Features
This page explains the main features of MacDisk: what it will and will not do. It presents the MacDisk main screen and its elements.

Supported Media
This page presents all logical media supported by MacDisk, and their primary characteristics.

Disk Access Methods
This page presents the methods used to access disks. It also links to more technical pages to solve problems like invisible disks and access error messages.

Help on Help
This page explains the general organization of the Help system and how to navigate to find the information you may need.

Last update: November 2013.
Thanks to Priscilla D.M. Turner and John G. Schmidt for checking and proofreading most of the English pages.


MacDisk Features

General
MacDisk is a utility for reading, writing and formatting Apple Macintosh volumes: High Density Floppies (Note that MacDisk can’t read Double Density Floppies), removable cartridges (Zip, Jaz, SyQuest, etc., connected to the SCSI bus, the IDE/ATAPI bus, the USB bus, the FireWire [IEEE 1394] bus or a parallel port) as well as ordinary hard disks (all versions of Windows since XP).
MacDisk doesn’t write to CD-Rs or CD-RWs. To produce Macintosh CD-ROMs (plain HFS, hybrid HFS/ISO 9660 or ISO 9660 with Apple Extension) on a PC, check our MacImage program.

MacDisk provides the necessary disk management features for copying between the Macintosh volume and the PC hard disk, copying between the PC hard disk and the Macintosh volume, changing folders, creating or deleting files and folders on the Macintosh disk, renaming volumes, folders or files and editing file properties.

MacDisk Screen
Below the classic menu bar (with the Mac Drive, Files, Options and Help menus), a button bar provides direct access to the main functions (without pulling down the corresponding menus), i.e. (from left to right):

  • Copy from the Macintosh volume to the PC hard disk
  • Copy from the PC hard disk to the Macintosh volume
  • Load a newly-inserted removable medium
  • Search for files/folders on the Macintosh volume
  • Display the parent folder
  • Create a new folder
  • Delete the selected files and folders
  • Display the main help file

MacDisk features a classic two-pane display used by all modern exploring tools. On the left, the exploration pane displays all of the folders on the current Macintosh volume. This allows one to navigate the volume quickly and easily. On the right, the list pane shows the contents of the current folder of the Macintosh disk, with the following columns:

  • File/folder name
  • File/folder type
  • Data fork size
  • Resource fork size
  • Creation date
  • Last modification date
  • Signature

A first click on the column header sorts in ascending order and a second click on the same header sorts in descending order. Used with the signature column, this feature allows you to sort the files according to their file-types (Word text files, Xpress layouts, Excel spreadsheets, etc.).

At the bottom of the screen, a status bar displays information and messages intended to guide or help the user.

MacDisk and data conversion
As a disk management utility, MacDisk handles files as ‘black boxes’ (without altering their contents). MacDisk is not a conversion tool, but a tool for the physical transfer of data between a Macintosh and a PC.

However, MacDisk comes with MacText, a little conversion program for taking input files as Text only, MacWrite 4/5, MacWrite II (not yet the Pro version), Nisus Writer, Claris Works, MS-Works, RagTime 2/3 (only text files for these integrated software packages) and outputting ANSI files, ASCII files, RTF files, Word 2 for Windows and WordPerfect 5 files.

MacText should not be used with other formats (such as Word, Excel, etc.), which you should always open with the native program.

To link the Macintosh signatures and the MS-DOS/Windows file extensions, MacDisk uses a lookup table. If you manage some specific file formats, or if a software vendor launches a new version of its package using a new Macintosh signature, it becomes necessary to change the program behavior. We have developed a special module to do that, called SignEdit, to be launched from the main application (Expert Menu), which allows you to edit/correct the internal table.

Internet Web Site
On our Website, we publish numerous hints and tips on compatibility matters. This site consolidates all the information we gather through our Hot Line and from the Newsgroups. We intend to make it a major information source that answers most questions.
Don’t hesitate to visit it if you have any questions.


Supported Disks and Media

Macintosh HFS disks and HFS+ disks
MacDisk reads/writes/formats Macintosh HFS volumes (classical magnetic volumes) and HFS+ volumes (the Mac OS equivalent of Windows FAT32). It also manages HFS CD-ROMs (plain images of HFS magnetic volumes burned onto a CD-ROM).
MacDisk can’t read Double Density Floppies.

ISO 9660 CD-ROMs with Apple and/or Joliet extensions
These so-called universal media are not always unproblematic when you get one and have to do some work with its files. The three main problems are the same: filenames (some impermissible characters prevent you from opening folders or copying the files), no file extensions, no access to the resource fork.
Again, MacDisk solves the problems and allows you to access the data stored on these media without problems.

Production of Macintosh CD-ROMs
MacDisk doesn’t write to CD-Rs or CD-RWs. To produce on the PC Macintosh CD-ROMs (plain HFS, hybrid HFS/ISO 9660 or ISO 9660 with Apple Extension), see our MacImage.

See also: Disk Access Methods.


Disk Access Methods

To access disks, MacDisk a special service (Lsdiorw) exploiting the IOCTL (Input/Output Control) and SPTI (SCSI Pass-Through Interface) low-level calls.

This service uses SPTI and IOCTL functions to access the drives on your computer. Since these functions are not accessible from a user account, we had to wrap them into a service which must be installed and started from an administrator account. After this initial installation, the service is automatically launched and started when the computer boots. This service doesn’t use any system resources when it is not being used by the main program.

Lsdiorw Installation and Uninstallation
To install the service, go into the Lsdiorw subfolder, created in the MacDisk installation folder, and click on the installer (lsdinst.exe). Now click on the Install button.

To check that the service is indeed installed and started, use the administration console:

Start, Parameters, Control Panel, Administrative Tools, Services

In the list of services, find the Lsdiorw line. If the service is not started, click on the right button of the mouse and select Start. The OS should display a message stating that the service has been started.

To uninstall the service, look for the same installer (lsdinst.exe) in the same folder and launch it. The program offers two buttons, Install and Uninstall, where only one is enabled, according to the situation. You can check in the administration console that the service is indeed uninstalled (see above).

See also: Supported Disks and Media.


Help on Help

The MacDisk Help system is organized into four parts.

Help File
The Help file (this file) can be browsed with the usual Windows Help commands (see the toolbar above and the navigation pane on the left). From the Overview Page, links take you to several topics explaining what you can or should do to obtain the result you want.

Context-Sensitive Help Functions
In all dialog windows and on all menu items (every time you are supposed to answer something or to type something), you can ask for Help by hitting the F1 key or clicking the right-hand mouse button. This contextual Help offers information which should help you to do your job efficiently.
You can also click on the big button with the program icon to display a more detailed page on the subject of the dialog window.

On-Line Help
The Help menu and the About window offer links to the on-line Technical Support on our Website. If you are connected to the Internet, this added Help source will complement the others. It can be very valuable because it is regularly updated from the information we collect while helping and supporting our users.

Mailing List
We have opened a MacDisk mailing list covering its use, and more generally, information on data and file transfers between Macintosh and PC. You can subscribe from our Website (“http://www.macdisk.com/listen.php3”).

First Steps
If this is your first time as a MacDisk user, please refer to the walkthroughs that have been prepared specifically for first-time users:

  • Opening a Macintosh volume in the program
  • Copying files between the Macintosh volume and the PC hard disk
  • Copying files between the PC hard disk and the Macintosh volume
  • Converting text files with MacText


First Steps

Welcome!
This section offers three walkthroughs:

  • Opening a Macintosh volume
  • Copying files between the Macintosh volume and the PC hard disk
  • Copying files between the PC hard disk and the Macintosh volume


Opening a Macintosh Volume

When you launch the program, it displays a window containing the drives it can manage:

To avoid mistakes, MacDisk tests the existing formatting scheme of the disks before displaying them. If it finds that a fixed disk is formatted for the PC, it doesn't display it. If you want to see all disks, tick the checkbox above the list and MacDisk will display everything. Caution, don't format your C: Disk!! See the page on Windows Disks for more information.

To open the Macintosh drive you want to read, just click on its button. The program opens it and analyses its file structure, then displays the root folder.

If you want to examine another drive, select the menu ‘Mac Volume’ and the item ‘Mac Drive’. The program redraws the selection window on the screen.

If the program doesn’t display the drives you’re expecting, in particular CD-ROM drives connected to the IDE/ATAPI bus, or Zip drives also connected as IDE/ATAPI devices, it may be necessary to update the ASPI layer. If this doesn’t cure the problem, you may have to check the ExcludeMiniports Registry Key.

This is not necessary if you’re running version 6.2 and higher under Windows 2000 and XP (see the page on Low-Level Disk Access Methods).

UAM NTFS/SFM Volume
This button bears a rather cryptic label, granted. This means that you may want to look for a volume managed through a UAM (User Authentification Module) on an NTFS disk (New Technology File System) handled by SFM (Services for Macintosh). Such drives are used to allow Macintosh users to store their files on a disk managed by a Windows Server.
Don't use it if you don't know what you're doing.

Formatting
From the Drive selection window, you may want to format a drive as a Macintosh volume, because you want to copy one or more files from your hard disk to a removable medium to hand it to a service bureau, for instance. This calls the window for Select the drive to format.

To go further, please check:

  • Copying files between the Macintosh volume and the PC hard disk
  • Copying files between the PC hard disk and the Macintosh volume


Copying Files to the PC

After opening the Macintosh volume, MacDisk displays the files or folders (which contain, in turn, other files or subfolders, etc.) contained in the current disk root. For this walkthrough, we’ll select only one file, but you could, of course, select several files (as well as one or several folders). However, for this first illustration, we’ll keep things simple.

If the file you want to copy is visible, select it by clicking on its name. MacDisk displays the line as selected (by inverting the color) to acknowledge the selection.

If the file is not visible, it may be stored in a folder below (one of the visible folders – look at the icon or at the type string in the second column to distinguish between files and folders – or maybe deeper). To open a folder, double-click on its name. The folder is then expanded to display its contents. If you have made a mistake (a click on the wrong name), you can return to the former folder (the parent folder) by clicking on [image] in the toolbar.

Now click on [image] in the toolbar. MacDisk answers by displaying the ‘Select the Target Folder’ window. This window displays the default target folder (last target folder used) and allows you to browse the hard disk to select or create the folder into which you want to put the file.

If you want to copy to another folder, click now on the ‘Browse’ button.

It is a classic Windows selection box and should appear quite familiar. Anyway, in particular, if you are new to the Windows user interface, take the time to test the various commands, in order to become more familiar with them. Click on the ‘OK’ button when the target folder is in the box at the bottom of the window.

For this walkthrough, we’ll just put the file in the ‘My Documents’ folder. When you execute MacDisk for the first time, it defaults to this folder. To launch the physical data copy, click on the ‘Copy Now’ button.

MacDisk copies the file and closes the window. The physical transfer phase is over.

Depending on the nature of the file copied, you may or not have to convert the file to be able to open it in your favorite word processor. If you use Word for Windows, Macintosh Word files open directly in the program. In the case of other formats, you may have to do a conversion.

To go further:

  • Opening a Macintosh volume
  • Conversion of text files with MacText
  • Copying files from the PC to the Mac volume


Copying Files to the Macintosh Volume

This working session example features copying files between the PC hard disk and the Macintosh volume, then different options for manipulating this volume. To familiarize yourself with these functions, simply perform the following operations with a real Macintosh volume (a floppy disk, a removable cartridge or a hard disk).

We take it as given that you have a formatted Macintosh volume and that you have already opened it in the program. See also our page on Formatting Macintosh Volumes.

Click on the [image] button. The program displays its Copy to the Macintosh Volume window. As it is a rather big window, we will take the time to look at its elements.

General Layout
This dialog window offers many features which make it look more or less like a main application window. From the top, we have a title bar, then a menu bar, a tool bar, an access path zone and a list zone.

Menus
The 'File' menu offers two items: Copy selection to the Macintosh volume and Quit.
The 'Edit' menu offers three items, to select all list items, deselect all list items and invert the selection.
None of these features really needs explanation.

Tool Bar
The tool bar is quite classic and regroups several self-explanatory buttons:

  • Select another drive
  • Display the parent folder
  • Display the list with big icons
  • Display the list with small icons
  • Display the list as listview
  • Display the list as report view
  • Copy the selection to the Macintosh volume

List Zone
This list zone offers the classic Windows features and allows a file and folder display with icons or as a columnar report. When the list is displayed as columns, the columns can be sorted, in ascending or descendingt order, by clicking on the column header.
You can select in the list the files and folders to be copied to the Macintosh volume. The copy process can be launched through the File menu, through the Copy button in the tool bar or through the context-sensitive menu.

Context-Sensitive Menu
The context-sensitive menu offers three features:
Compute Selection
It may be useful to know precisely the size of all files and folders selected in the list zone, to know whether this will fit onto the target Macintosh volume.
Copy to Mac Volume
The copy function is also offered in the context-sensitive menu to simplify operations.
Close Window
Lastly, you may close the window without doing anything and return to the main screen of MacDisk.

To go further:
See also Other basic operations on the Macintosh volume.


MacDisk Menus

MacDisk features the following menus:

  • Mac Volume Menu, grouping all menu items pertaining to Macintosh volumes
  • Files Menu, grouping all menu items pertaining to files (copy, deletion, etc.)
  • Options Menu, grouping all menu items pertaining to MacDisk behavior
  • Expert Menu, grouping several advanced features of the program, which should be used only if you know what you’re doing
  • Help Menu, grouping several help resources


Mac Volume Menu

The Mac Volume Menu includes all the standard disk manipulation items of the Macintosh volume.

  • Select Drive
    Selection of the drive holding the Macintosh volume
  • Refresh [F5]
    Loading a new medium loaded in the same drive
  • Select Partition/Track
    Selection of another partition on the same Macintosh volume (another track in the case of a CD-ROM)
  • Format
    Formatting a data medium as a Macintosh volume
  • Eject
    Ejecting the current removable medium
  • Volume Properties
    Technical information on the Macintosh volume (with Renaming function)
  • Print [Ctrl P]
    Printing the contents of the current Macintosh folder
  • Exit
    Leaving the program

Back to the Main Menu


Files Menu

The Files menu offers the necessary commands for managing files and folders.

  • Copy to the PC
    Copying files and folders from the Macintosh volume to the PC hard disk
  • Copy to the Macintosh Volume
    Copying files and folders from the PC to the Macintosh volume
  • Paste from Explorer
    Copying to the Macintosh volume the files and folders you have selected in the Explorer (copy/paste)
  • Launch the Explorer
    Launching the Explorer to copy files and folders to the Macintosh volume (drag-and-drop, copy/paste)
  • Create New Folder
    Creating a new folder on the Macintosh volume
  • Delete
    Deleting a file or folder on the Macintosh volume.
    Caution: deleted files and folders are not stored in the Trash and are therefore definitively lost.
  • Rename
    Renaming a file or folder on the Macintosh volume
  • Display
    Display the raw contents of a Macintosh file (see the pages on the Dump Module for more information). Displaying of the objects contained in the case of a folder (see Folder Properties for more information.
  • Properties
    Display the properties (attributes) of a Macintosh file or folder
  • File Search
    Search for files on the Macintosh volume (by name or by signature)
  • Select All
    Select all files and folders in the current folder
  • Invert Selection
    Select unselected files and folders, while those selected are deselected

Back to the Main Menu


Options Menu

The Options menu offers several items that can alter the basic operating parameters of the program.

  • Language
    Choose language used for the messages (English or French). The selection is done in a submenu.
  • Signature File in the Windows Registry
    Check the Signatures file used by the program.
  • Signature Editor
    Launch the SignEdit module to edit the Signatures file.
  • Columnar Display
    Choose columns to display
  • Preferences
    Set some preferences
  • Expert Menu
    Choose whether to display/hide the Expert Menu. This option can also be set (and saved in the Registry) in the Preferences dialog box.

Back to the Main Menu


Expert Menu

To display the Expert Menu, you have to check the corresponding item in the Options Menu. Note that an option to display it permanently (option saved in the Registry) is available in the Preferences item (also in the Options Menu).

The Expert Menu includes a number of items that can be selected or deselected to alter the basic operating parameters of the program. Please note that you should know what you’re doing before using any of the options below.

  • Copy Mode
    Copy mode of the program (Data fork, Resource fork or both forks in MacBinary mode). This selection is done in a submenu.
  • Log File
    Open/close a log file.
  • Black List
    Black list of drives you don’t want to see in the Drive Selection box.
  • Swap Forks
    Swapping the data and resource forks of the selected Macintosh file.
  • Brute Force Search
    Brute force search of the MDB to open the Macintosh volume.
  • Special Copy
    Window for using the command line interface.
  • Rebuild Catalog B-Tree
    Option to rebuild the B-Tree used to manage the contents of the disk.
  • Disk Duplication
    Copying the contents of a disk to another disk or to a file, copy a file to a disk.
  • Save B Trees to a file
    Option to save to a file the B-Trees (catalog and extents overflow). To be used when instructed by Technical Support.

Back to the Main Menu


Help Menu

This menu gives access to the Help features of MacDisk:

  • Help on Help
    Access to a little page on the Help system
  • Help Topics
    Access to the main Help system
  • Help Search
    Access to the search feature of the main Help system
  • Help Index
    Access to the index of the main Help system
  • On-Line Support
    Access to the support pages of Logiciels & Services Duhem on the Internet
  • About MacDisk
    Usual informative window with serial number and version level

Back to the Main Menu


How to...

  • Change the language used by the program
  • Convert a file-format
  • Copy a disk (raw copy)
  • Display the raw contents of a file
  • Edit the signatures
  • Enter/change the serial number
  • Format a Macintosh disk
  • Hide some disks of the PC
  • Log all operations to a file
  • Normalize Macintosh Filenames on NTFS volumes
  • Search for files
  • Transfer fonts
  • Update the ASPI layer


Changing the Language of MacDisk

When launched, MacDisk asks the Windows operating system which language is used on the computer and displays its message accordingly, in English or in French.
However, it’s possible that the code returned is incorrectly interpreted. In this case, you have to change the language manually in the Options menu. Afterwards, the language code is stored in the Registry and automatically reused.

Back to “How to...”


Disk Duplication

This feature, accessed through the Expert Menu, offers three options:

  • Copy from disk to disk
  • Copy from a file to a disk
  • Copy from a disk to a file

In all three cases, the copy is done without any regard to the logical structure of the disk (copy sector for sector). You can’t copy a single partition with this feature.
These three options are answers to different working situations, which we’ll explain below.

Copy from disk to disk
Somebody has given you a Macintosh medium and you have to give it to a service bureau. But you would like to keep a copy, just in case. This option allows you to duplicate the original volume on another one, of the same size or larger. Also, see below how to copy just the data to a file.

Copy from a file to a disk
You have had a copy made from a Macintosh volume and kept the result as a file, or you have obtained a disk image produced by another program. If necessary, you can reload the contents of the file onto a real disk, for instance for delivery to a service bureau.

Copy from a disk to a file
It is not always necessary to keep the copy of the medium on a disk. With this option, you can put it into a file that you’ll then compress. If needed, you can always reload the file onto a physical volume with the second option.

Back to “How to...”


Converting Files with MacText

Note:
This logical conversion phase is only necessary if the target program (the application with which you intend to use the data) can’t read the source format. This is not the case when exchanging data between ‘sibling’ applications existing on both platforms, like Word, Excel, PageMaker (at the same version level), Xpress, or when transferring well-standardized formats like TIFF, EPS, etc. Also note that MacText manages only some text formats and can’t handle database files, spreadsheets or graphic files.

User Interface

Click on the MacText icon to launch the program. It displays its main screen (see above). Take the time to examine its various elements, which are, from top to bottom:

  • the classic menu bar
  • a first tab to display the files to be converted
  • a selection zone to select the main working parameters of the program

Click on the 'Browse' button to select the target folder (the folder where the converted files will be created):

Click now on the second tab to display the conversion formats:

You can see that the user interface remains the same, but that the middle window is now subdivided into a source format list and a target format list. Let’s say that the source format of our file is Claris Works. You can select the source format in the left-hand list. A double-click transfers the selection into the first line of the selection zone, at the bottom:

Let’s say that we want to convert the file to Word for Windows. Similarly, we select this format in the target format list (on the right).

Conversion Process
Files are selected and inserted into the conversion list (first tab) by dragging-and-dropping or cutting-and-pasting from Windows Explorer.
We get a situation like the screenshot below:

The actual conversion is launched through the 'File' menu, which offers a 'Convert' item, to convert the selected files, and a 'Convert All Items', to convert all listed files.

To go further:

  • Opening a Macintosh Volume
  • Copying Files from the Macintosh volume to the PC
  • Copying Files from the PC to the Macintosh volume


Macintosh Files and the Internet

Internet and Macintosh Files
Some comments on how to manage Macintosh files sent through the Internet are in order: files downloaded from servers (through the FTP or HTTP protocol) or files received through email (as attached files).
Two main reasons justify a special treatment. First of all, Macintosh files are not monolithic, but may be composed of two pieces, called forks, i.e. a data fork and a resource fork. Please consult the page on file forks for more details.
Secondly, the nature of a Macintosh file is not expressed as a file extension (or file suffix), but as a signature, a string of characters encoding the file creator and the file type. Again, consult the page on file signatures if you want more details.
Last but not least, the email protocol doesn’t allow the sending of binary files, but only text files. This means that the bytes of the file are encoded only in 7 bits and not in 8 bits.
This explains why most FTP and mail programs running on the Macintosh silently build containers when asked to upload a file to a server or to send a file as an attachment.

Macintosh Files Attached to E-mail Messages
Most Macintosh mail programs execute silently two different operations on attached files:

  • Containerization (regrouping both forks and the Finder info)
  • Encoding (to allow 8-bit bytes to travel as 7-bit bytes)

However, a PC mail program encodes only the attached files.
When the attached files arrive on the target computer, the mail client has to decode the file, then open or break the container to place all of the pieces where they belong.

De Facto Standards
Four standards are used in this context: MacBinary, Apple Single, Apple Double and BinHex. MacBinary and Apple Single describe a way to put into a single file (called the container) the two forks composing the file, plus some elements like the signature. The resultant file is then encoded in the usual way.
The Apple Double standard doesn’t put both forks into a single container, but in two separate streams that the MIME mail program can put into a single message. At the other end, the client will decode what it knows (generally only the data fork, just silently dropping the resource fork). Please note that the Apple Double and Apple Single formats are a MIME standard (Binhex standard holds a special position because it does both operations together, plus some simple data compression (RLE).

What to Do
The first thing to do is to ascertain how the received file was managed.
You can use our MacMail program, whose goal is to try to automate as many of the operations as possible. Please consult its page to know more about it.
Another proven method is to try to open the file in a text editor and to look for some specific strings.
Binhexed files contain the following string in the first line: “(This file must be converted with BinHex 4.0)”.
MacBinary files are not easily recognized because there is no ‘magic’ signature. However, you should find at the beginning (offset 2) the string of the original Macintosh filename. A little further on (offset 65) is the signature of the file.
Apple Double and Apple Single files should never exist in this form on the target machine, since all recent mail clients should decode them without asking the user. Nevertheless, the ‘magic signature’ of Apple Single files is 0x00051600 while it is 0x00051607 for Apple Double files. This signature is to be found at the beginning of the single file in the case of the Apple Single standard and at the beginning of the header file (file containing everything but the data fork) in the case of the Apple Double standard.

Fonts: A Special Situation
When fonts are transferred from the Macintosh to the PC as attached files, several situations can arise. If the font has been transferred in Apple Double or Apple Single format, your mail client may know these formats and try to decode the file. Since the e-mail client thinks that the only usable part must reside in the data fork and the data fork is empty, the user gets an empty file. The e-mail software generally discards the resource fork without explanation because it may think of this as the only logical way to go, even if you don’t agree.

Fonts in MacBinary or BinHexed Format
You may have a better chance if the font has been sent as a BinHex file or a MacBinary file.
We invite you to visit our page on Font Transfers for more information on this subject.

How to send an attached file to a Macintosh user
Some users ask how to send a file created on the PC to a Macintosh user by e-mail.
First of all, if you want to send a Word or Excel file, don’t send the file encoded in the format of the latest version. As a rule of thumb, send Word files only as Word 5 for the Macintosh or Word 2 for Windows, and Excel files as Excel 5. For other text formats, use RTF.
If you send such a file as an attachment, odds are good that the file will display on the Macintosh screen with a generic (cornered sheet) icon, and that the user, when double-clicking this icon, will get an error message about opening this file as SimpleText. The user must first launch the application, then open the File menu and select the item using Open.


Displaying the Content of a File

Displaying the Contents of a File

Introduction
It may sometimes be useful to display the raw contents of a file stored on a physical Macintosh medium (in MacDisk) or on a virtual Macintosh partition (in MacImage Partition Mode).
When the file is selected, the "Display" item in the File menu or in the context-sensitive popup menu called by the right-hand button of the mouse displays a secondary window to show the contents of the file.

More information on the Display Module.


How to Display Windows Disks?

To avoid errors, MacDisk analyses the physical disks on your PC and displays only fixed disks which are not formatted for Windows and removable disks.

Nevertheless, you may want to reformat in HFS or HFS+ a fixed disk (for instance, a FireWire disk) which was formatted for Windows (FAT 16, FAT 32 or NTFS). Tick the checkbox above the list to get these disks too.

In the screenshot above, the disk 'WDC WD60' is the main hard disk of this computer and contains the logical disk C:\.

The same safety measures applies in the dialog box used to select the disk to format and to blacklist some disks, i.e. to ask the program never to display those disks in the selection windows.


Signature Editing

Signature Table
When you copy Macintosh files onto the PC hard disk, our programs give them an extension that is derived from the signatures of the original Macintosh files. In the other direction (copy onto the Macintosh volume), the program gives the file a signature derived from its extension. That way, you get on the Macintosh and on the PC files that can be opened with a double click.

If you don't like the program behavior (because of some specific file formats which need some special extensions or because of new versions of applications producing other files), you will have to modify the signature table.

How to Ascertain a Macintosh Signature?
To know the signature of a Macintosh file, just open a Macintosh volume containing such a file with one of our programs. Select the file and look in the right-hand column. Note it (caution, this string is case-sensitive). You will now insert it into the internal table with SignEdit.

Signature List
The online Help contains a list (already pretty long) of Macintosh signatures. You can also visit our Website (http://www.macdisk.com/macsigen.php3), where this list is frequently updated. You will also find on this page pointers to other information sources. On the Macintosh, utilities exist to display/correct the signature of the files.

SignEdit, the Signature Editor
SignEdit is an independent module launched from the Options menu. It automatically loads the current signature file.

For more information, see SignEdit Help.


Registering the Serial Number

When launched for the first time, the program asks the user to type his serial number. This serial number, printed on the invoice and on the label of the data medium, is then stored in the Registry. That means that you'll only have to type it once.
If you bought the product on-line and installed it before getting the real serial number, you can safely give a serial number like E02.00000. Later on, you'll be able to specify the real number from the About MacDisk... item in the Help Menu.

The logical structure of this serial number is 'E' for English (or 'F' for French), 02 for 2002 (year in which you bought or upgraded your license), and a 5-digit number, like E02.00999.

Below you'll find our address and two buttons, one to send us an e-mail, and the other to visit the Technical Support pages of our Internet Website.

Back to "How to..."


Formatting Macintosh Volumes

Floppy Disks or Other Media?
The formatting process is quite different for floppy disks (HD media of 1.44 MB capacity) and for other media like USK tokens, removable cartridges and plain hard disks.

To go further:

  • Formatting a Floppy Disk
  • Formatting Other Media

Back to “How to...”


Formatting Floppy Disks

Introduction
Formatting a magnetic medium means creating the tracks and sectors which will hold the stored data. High Density Floppy Disks are basically the same on the Macintosh and on the PC. Only the file structure differs. This explains why one can use Quick Reformatting to just ‘clean-up’ the first tracks of the floppy.

Launching the Formatting
When you select the Format Volume item in the Mac Volume menu, MacDisk displays a selection window where you have to select the drive to be formatted. N.B. If you have only a single drive which is dual-purpose, i.e. for both 1.44 MB floppies and for SuperDisks, in either your Mac(s) or your PC(s), a dual-purpose drive of precisely the same type must be used in the other computer(s) for purposes of formatting, reading and writing to all 1.44 MB floppies.

This window displays only the drives for which the formatting makes sense (that is, not the CD-ROM drives). Click on the button representing the floppy drive. The program answers with the following dialog window:

The name for the volume to be formatted can be entered in the window. The default name is “Untitled”. In addition, this window provides a Quick Reformatting option. If you check this check-box, the formatting operations are very fast. MacDisk then opens the new volume and displays its contents.

Low-Level Formatting
On the other hand, if you want to do a low-level format, the operation takes one to two minutes. To keep you informed, the program displays in the status bar a message indicating the current formatted track.

When MacDisk regains control, it writes the first tracks onto the floppy disk to transform it into a Macintosh floppy.

See also: Formatting Other Media.


Formatting Other Media

Introduction
The main reason for the difference between formatting a floppy disk and formatting other media is that all media greater than 2 MB, according to Apple, should have a partition table, even if there is only one partition on the disk. Some manufacturers don’t follow this rule and happen to format cartridges (like Zip or SyQuest, in the past) as floppy disks, that is, without a partition table. MacDisk always partitions these volumes.
MacDisk doesn’t do a low-level format of these media, only a high-level format.

Launching the Formatting
When you select the Format Volume item in the Mac Volume menu, MacDisk displays a selection window where you have to select the drive to be formatted. MacDisk displays only the removable disks and the fixed disks which are not formatted for Windows (FAT 16/32 or NTFS). If you want to display those disks (caution!!), tick the checkbox above the list.

Click on the button representing the drive you want to format. MacDisk launches the Formatting Wizard. In the simplest situation (disk with a single partition), the whole operation is done in a few clicks.

Formatting a drive means that all existing data will be destroyed. To be certain that you have selected the drive you want, the Wizard offers to do a Drive Access Test. This non-destructive test (reading test) allows you to check that the LED of the proper drive lights up.

When the test is completed, the button ‘Next’ is validated.

If you're reformatting a drive which was mounted by Windows (that is, if a drive letter was allocated to the drive), the drive must be "dismounted" to allow the formatting. Therefore, in such a case, you have to type the drive letter in this dialog box.

The program offers to format according to the classic Macintosh scheme (HFS) or to the Mac OS Extended scheme (HFS+). For big disks (40GB and more), MacDisk always uses HFS+.
If you choose HFS+, you may select the classic partitioning scheme or use the newer EFI/GPT partition scheme. In most situations, this is not relevant. Some older Macs may not be able to read EFI/GPT partitions.
On the other hand, if you want to have a Macintosh partition and a Windows partition on a single drive, the EFI/GPT partition scheme is the way to go. We don't yet support this kind of partitioning, but you may reformat a partition for Windows (of for Linux, etc.) in another utility.
If you don't know, leave the default option.

You now have to choose between a single volume (single partition) and a partitioned volume.

The single volume option brings you directly to the Exit Window. MacDisk formats the drive and opens it in its main window.

If you choose to partition the volume, MacDisk displays the Partition Volume window, where a first partition occupying the whole of the available free space was created by default.

Two buttons are at the bottom, one to edit the partitions and the other to add partitions. Let’s add a second partition by clicking on the Add button:

In this example, we have created a second partition appropriately named ‘Second Partition’ and we assigned it 2000MB of space on the drive.

It is possible to go on, adding and editing the partitions composing the disk. If the total size of your partitions is greater than the capacity of the drive, MacDisk will detect it and proposes to reduce the size of the greatest one.

When everything is OK, MacDisk displays for the last time the partitioning scheme we have created. This is the last chance to cancel. If everything is fine, click on the ‘Format Drive’ button. MacDisk formats the drive and opens the newly-formatted volume. First of all, it asks the user to select a partition.

See also: Formatting Floppy Disks.


Searching for Files

The program features two search modes: by name and by signature.

Search by Name
Say that you have received a Macintosh medium and that you know there is a file on it you would like to copy to the PC hard disk. But your partner could not reformat the cartridge and there are also on the disk tons of other files, fonts and the like. Are you going to open all folders to look for your file? No. Select this menu item, type what you remember of the filename and launch the function. If the program finds only one file matching your request, it displays automatically the folder containing the file. There you are!!
If several files correspond to your criteria, the program displays the list and asks you to select the one which interests you.
The program accepts only '*' as wildcard.

Search by Signature
This mode corresponds to another situation. Say that you have got a Macintosh CD-ROM and you would like to know whether there are QuickTime movies on it. A quick search in the table of Macintosh signatures shows that the signature of those files is "MooV" (caution, the string is case-sensitive). Just type this string in the window and launch the function.
If there is only one QuickTime movie on the disk, the program directly displays its folder.
On the other hand, if there is more than one, the program will display a list of all QuickTime movies on the disk. Select one, and the program displays the folder holding the file.


Black List of Disks

The Black List of disks is simply the list of the drives you don’t want to appear in the Drive Selection box (for selecting the drives you want to read or format).
A click on the drive button registers the disk in the Black List. The icon changes to a negative image with a big red cross. A new click resets the drive.
The Black List of disks is stored in the Windows Registry and is reloaded when you restart the program.

Access Rights under Windows 2000 and XP
Under Windows 2000 and XP, the program uses a service to perform its low-level disk access. Some administrators may wish to block access to some drives. It is possible to do so and to hide the Black List Management window. See the file admin.txt or consult your administrator if needed.

Back to “How to...”


Log File

The log file is an ASCII file where all operations performed by the program are recorded, for instance changing a folder name, renaming a file, copying a file from the Macintosh medium to the PC hard disk, etc.
When you execute long sessions, you may not able to remember where you put some files. Similarly, it can be difficult to establish the relationship between the original Macintosh filenames and the MS-DOS ones.
This window allows you to open an existing file, to create a new one and to close the log file when you no longer want to record the transfer operations.

Back to “How to...”


Macintosh Names Normalization

Macintosh files stored on a NTFS server can have some characters in their names that are not valid in filenames on a PC disk. Under Windows NT, the Services for Macintosh manage these special characters in a special Unicode page.
It may be useful, under some conditions, to ‘normalize’ these filenames by replacing the invalid characters with a “_” and adding an extension.

This window allows the user to select the settings to ‘normalize’ the names of the Macintosh files stored on a NTFS server using SFM (Services for Macintosh).

You may replace the invalid characters by “_” or simply delete them.

When the program knows the nature of the files, it can add an extension, like “*.doc” for Word, etc. When the file signature is unknown, the program can add “*.txt” or nothing.

Macintosh clients can’t see filenames longer than 31 characters (filename limitation of Mac OS 9 and lower, still implemented by SFM). Adding an extension can break this limit. If the files are simply transferred to a Windows workstation and will no longer be accessed by Macintosh clients, it doesn’t matter. On the other hand, if Macintosh clients should access the files afterwards...

Back to “How to...”


Transferring Font Files

The software includes a font transfer feature to allow you to transfer Macintosh fonts to the PC and PC fonts to the Macintosh medium.

First, let us stress that if something is technically possible, it doesn’t mean that you have the right to do it. Please don’t use our programs to violate the copyright of the authors. If you are not certain about the rights licensed to you, please reread the user license.

In some countries, fonts are protected as computer programs, which in a certain sense is what they are. In other countries, only their names can be patented. We don’t know all possible configurations. Anyway, don’t negate the rights of the persons or companies who created the fonts you want to use on your computer.

MacDisk and Font Transfers
When asked to copy a font file, MacDisk asks the user whether s/he wants to convert the file or to copy it as a plain binary file.

From the technical point of view, we have to consider four different cases:

  • Transferring Macintosh TrueType Fonts to the PC
  • Transferring PC TrueType Fonts to the Macintosh
  • Transferring Macintosh Type1 Fonts to the PC
  • Transferring PC Type1 Fonts to the Macintosh

Back to “How to...”


Transferring Macintosh TrueType Fonts to the PC

TrueType fonts, contained in single-font files or in font suitcases, are copied to the PC in individual TTF files. These files can then be installed in the usual way (that is, through the Fonts item of the Control Panel or with a font management tool like Adobe Type Manager).

TrueType font files contain all the elements needed to display and print the text. This really powerful feature should not create any problems.

To go further:

  • Transferring PC True Type Fonts to the Macintosh
  • Transferring Macintosh Type 1 Fonts to the PC
  • Transferring PC Type 1 Fonts to the Macintosh

Back to the main page about Font Transfers.


Transferring PC TrueType Fonts to the Macintosh

In the other direction, the PC TrueType fonts (TTF extension) are copied to individual files. We create a 'FOND' resource (to identify the font family) for each of these files. We are not yet able to group the font families into a single file. On the Macintosh, all font files should have a font id number. When an independent number is assigned to each of the fonts, you could encounter problems with the links between separate fonts (like Bold, Light, etc.).

Please let us know your practical experience with these features.

To go further:

  • Transferring Macintosh True Type Fonts to the PC
  • Transferring Macintosh Type1 Fonts to the PC
  • Transferring PC Type1 Fonts to the Macintosh

Back to the main page about Font Transfers.


Transferring Macintosh Type 1 Fonts to the PC

To be available to your programs, Postscript fonts, whether on the Macintosh or on the PC, must be installed through a font management tool like Adobe Type Manager (the engine is included in the OS under Windows 2000). ATM must access both FB and PFM files, or PFB, ATM and INF files.

Our programs can identify the Type 1 fonts (Postscript fonts), whose file-type string is LWFN (the creator string varies). If you choose to convert the font, we build a PFB (Printer Font Binary) file from the data stored in the resource fork of the Macintosh file.

You also need a PFM (Printer Font Metrics) file. It is not possible to build a PFM file directly from the PFB file. We have to do some guessing and use as a base a generic PFM file that we adapt to the real font you’re transferring. Testing showed good results with most standard fonts.

However, the user should be aware that there are several problems associated with this method. If you try to reuse a layout where everything was very tight, you could experience text reflow or other similar difficulties.

Since the PFM file is used only to display the characters on the screen, the result you get when printing should be the same as the original. If you have to edit the file, you will have to work without controlling the results on screen, and will have to print frequently to know precisely what you are doing.

If you have the Adobe Type On Call CD-ROM, you should know that it holds all PFM, ATM and INF files for the fonts distributed by Adobe. It is therefore possible to launch a search with Explorer by giving the exact name of the font. The PFM file you’ll find this way is obviously much better than those we can build on the fly. Don’t forget to reset the read-only flag and the hidden flag to make it visible under ATM.

The Adobe Website (www.adobe.com) offers many very useful resources. We recommend that you first download the file fntnames.pdf which is an Acrobat file containing all long and short font names under Windows and Macintosh (ftp://ftp.adobe.com/pub/adobe/type/all/fntnames.pdf). When looking for a precise PFM file, you should look in this reference for the short filename (like TIB_____.PFB for Times Bold). You can then look for the corresponding PFM file on the TOC CD-ROM. Please note that these files, when copied to the hard disk, are read-only. You should reset the read-only bit to allow ATM to ‘see’ the file and associate it with the PFB file built by our program.

The same FTP site (ftp://ftp.adobe.com/pub/adobe/type) contains two subdirectories, one named “mac”, the other “win”. This subdirectory contains the ATM and INF files. ATM will load a PFB file with both ATM and INF files instead of the PFM file.

To go further:

  • Transferring Macintosh TrueType Fonts to the PC
  • Transferring PC TrueType Fonts to the Macintosh
  • Transferring PC Type1 Fonts to the Macintosh

Back to the main page about Font Transfers.


Transferring PC Type 1 Fonts to the Macintosh

This function is not yet implemented. We plan to integrate the feature with the next version.

To go further:

  • Transferring Macintosh TrueType Fonts to the PC
  • Transferring PC TrueType Fonts to the Macintosh
  • Transferring Macintosh Type1 Fonts to the PC

Back to the main page about Font Transfers.


ASPI Layer Update

(Windows 95/98/ME and NT 4 only)

If the program doesn’t display all the drives you have on your computer, the first thing to check is the ASPI layer (also called the ASPI manager).

How to check the ASPI layer
Look on your computer for a file called WNASPI32.DLL. It should be in the SYSTEM or SYSTEM32 folder (see below). Right-click on it and select the Version tab. The version should be 4.57 or higher. If this is not the case, you will have to update the ASPI layer.

Alternatively, you can use our ASPITEST.EXE, stored in the ASPI subfolder of the installation folder. This utility is also available from our Website.

Composition of the ASPI layer
The ASPI layer is composed of four files, which should bear the same version number (this is no longer true for version 4.71 and higher):

  • Under Windows 95/98/ME:
  • aspienum.vxd, in the system subfolder
  • apix.vxd, in the system\iosubsys subfolder
  • winaspi.dll, in the system subfolder
  • wnaspi32.dll, in the system subfolder
  • Under Windows NT/2000/XP:aspi32.sys, in the system32\drivers subfolder
  • wowpost.exe, in the system subfolder
  • winaspi.dll, in the system subfolder
  • wnaspi32.dll, in the system32 subfolder

Updating the ASPI layer
Navigate to the ASPI folder located in the installation folder. Launch the ASPIINST.EXE program. Reboot the computer and the problem should be gone.
If you are running Windows NT/2000/XP, this installation must be done from an administrator account since you must have administrator rights to be able to install the ASPI service.
Please note that one should use the ASPI layer under Windows 2000/XP only if the normal behavior of the program (with the Lsdiorw service) doesn’t suffice. See the Low-level Disk Access Methods for more information.

To go further:

  • Disks Supported by MacDisk
  • Low-level Disk Access Methods

Back to “How to...”


MacMail

General Presentation
With the explosion of the Internet, data files are often sent between Macintosh and PC computers as attachments to e-mail messages. In such a case, the first problem for the PC user is that many mail programs don't send plain files, but BinHex or MacBinary containers. Those containers must be recognized as such and handled correctly.
More, the very nature of the file is hard to know, for instance when the sender on the Macintosh side hasn’t bothered to add an extension to the file name (*.DOC for a Word file, etc.).
Furthermore, the default encoding scheme used by many mail programs on the Macintosh can be BinHex, MacBinary or AppleSingle / AppleDouble (see our page on these mail standards for more information) and is not always correctly handled by e-mail client packages on the PC.
Last but not least, Macintosh font files are special files which are not handled correctly by most default procedures.
MacMail is meant to solve some of these problems.

To go further:

  • MacMail User Interface
  • MacMail Manual Mode
  • MacMail Automatic Mode


MacMail User Interface

MacMail offers two working modes:
In Manual Mode, the user selects (button ‘Browse for Files’) the files to be examined, which are listed in the left-hand pane. Depending on the nature of the file, the program offers several options, expressed by radio buttons in the right half of the screen.
In Automatic Mode, the program monitors a folder of the computer (generally the folder where the mail program stores the e-mail attachments) and automatically lists all newly-created files in the left-hand pane. The monitored folder is displayed in the bottom left-hand corner.

To go further:

  • MacMail Main Page
  • MacMail Manual Mode
  • MacMail Automatic Mode


MacMail Manual Mode

In the Manual Mode, the user selects the files to be examined (button ‘Browse For Files’) on the hard disk(s) of the computer. If desired, several files can be selected. The files are then listed in the left-hand section. If you highlight a file in this list, the program displays its properties in the upper right-hand box. In the example, the file is an AppleSingle container, whose real name is Palatino CE 18, and it contains something only in its resource fork.
In the box below (entitled ‘Select Treatment’), the user may select several treatments:
• Extraction of File Contents (Data fork, Resource fork, or both of them)
• Conversion to MacBinary
• Conversion of Font File
• Conversion to RTF
• Add Extension to Filename

See the page on MacMail File Treatment for more information on the different treatments.

To go further:

  • MacMail Main Page
  • MacMail User Interface
  • MacMail Automatic Mode


MacMail Automatic Mode

In this working mode, MacMail monitors a specific folder on your computer. You would select, for example, the folder where the e-mail client stores the e-mail attachments (files sent attached to an e-mail). With Eudora, it would be the ‘attach’ folder. The monitored folder is displayed in the lower left-hand corner. You can browse the hard disks to select a new folder. The selected folder is saved in the Registry between sessions.
Monitoring is launched by clicking the ‘Monitor’ button. You can then minimize the program by clicking the ‘Background’ button.
As soon as the computer receives such an attachment, the operating system wakes up MacMail and puts the file name in the list (on the left).
The user is informed by a flashing window, if the program is maximized, or by the button in the taskbar, if the program is minimized.
See the page on the MacMail File Treatment for more details on the possible ways to manage these files.

To go further:

  • MacMail Main Page
  • MacMail User Interface
  • MacMail Manual Mode


Display Module

Display Function
The file display function provided by the program is basic but will, for example, help you choose between two text files whose names are not sufficiently explicit, or refresh your memory about the contents of a file whose name is not descriptive. For binary files, this function can be useful if they contain identification strings.

The display screen is divided into three parts:

  • Offsets (left-hand column)
  • Hexadecimal display (central pane)
  • ASCII display (right-hand column)

File Forks
If the file contains two Forks, the program first displays the Data Fork. You can switch to the other fork in the File menu.
If there is a Resource Fork, the program offers two display modes: the first is a classical hexadecimal dump and the second a tree view of the logical structure of the resource (which is a database). Right clicking on the resource items, you can save them as a hexadecimal dump (handy for research work) or a binary dump.
You can also display the properties of the file and then return to the main screen.

Character Sets
The ‘Display’ menu allows you to choose between the ASCII character set, the Macintosh ASCII character set and the ANSI character set. The ‘Numeration’ menu allows you to select a decimal or hexadecimal display of the offsets (in the left-hand column).

More information on the Menus.


Menus of the Display Module

File Menu

The ‘File’ menu is the main navigation tool. The two first items, ‘Data fork’ and ‘Resource fork’, display the size of the fork and allow switching from one to the other. The item is greyed when the fork is empty.
The ‘File Properties’ item displays the same ‘Properties’ window as the main application. The presence of this item is a mere convenience.
Lastly, the ‘Print’ item allows you to print out of the raw contents of the sector, and the ‘Quit’ item to return to the main application.

Display Menu

To display the text in clear (in the right-hand column), select the best-adapted character table (Macintosh, Windows or DOS ASCII).

Numeration Menu

To display the offset value in the left-hand column, you may choose the decimal or hexadecimal numeration.

Back to the Main Page of the display module.


SignEdit, the Signature Editor

Presentation
SignEdit is an independent editor module launched from the main application to edit (modify) the signature table. This table is used to establish the links between signatures on the Macintosh side and extensions (suffixes) on the PC side. The signature file used by the program is stored in the Windows Registry (see the Options menu).

Launching SignEdit
SignEdit is launched from the Expert/Special menu in the main application. It automatically loads the current signature file (the one used by the program). Having an external signature file instead of an internal table (made of constants) allows the user to adapt the behavior of the program to his needs (new versions of programs, new data types, etc.).

To go further:

  • User Interface
  • Features
  • Menus


SignEdit User Interface

The Signature Editor
SignEdit automatically loads the signature file whose name is stored in the Windows Registry by the main application.

SignEdit displays its data in a columnar list. The four columns (Extension, Mac File-type, Mac Creator, Descriptive Comment) are self-explanatory. The fourth column (Comment) is used by the program to fill the ‘Type’ column, allowing the user to ascertain quickly what is on the Macintosh medium. The contents of this column are free.

This list interface allows sorting of the columns: one click to sort in alphabetical order, a second click to sort in the reverse order. These features allow you to work in an orderly manner, for instance checking to ensure that you don’t have duplicates.
Also note that the signature table is used in both directions: Macintosh to the PC and PC to the Macintosh.

Since the list is read sequentially, the ranking of the items should not be selected randomly. Put the items used most often at the beginning, and check that a spurious item doesn’t come before your newly-created item.
The ‘Edit’ menu (and the corresponding item of the context-sensitive menu) offer two selections which allow the user to move the signature items up and down the list.

Back to SignEdit Main Page

To go further:

  • Features
  • Menus


SignEdit Features

Editing a Signature Item

This dialog window is called by the ‘Edit’ item in the ‘Edit’ menu (and by the same item in the context-sensitive menu). It displays the contents of the selected signature item. The PC extension can be three or four characters long. The two pieces of the Macintosh signature (File-type and Creator) are both four characters long.
Macintosh signatures are case-sensitive (HTML and html are not considered equal). Spaces are accepted. The program adds spaces at the end of each if the length is shorter than 4.
The comment is a free text displayed in the ‘type’ column of the main program. Use it as you please.

Adding a Signature Item

The working principle is the same, the only difference being that the dialog window is empty when displayed.

Where to find signatures?
The online help contains a (pretty long) list of Macintosh signatures. You can also visit our Website (http://www.macdisk.com/macsigen.htm), where this list is frequently updated. You will also find on this page pointers to other information sources.
On the Macintosh, utilities exist to display/correct the signature of the files.

Back to SignEdit Main Page

To go further:

  • User Interface
  • Menus


SignEdit Menus

File Menu

The ‘File’ menu groups all of the usual menu items for a utility like an editor: ‘New’ to create a new file, ‘Open’ to open an existing file, ‘Save’ to save the modified contents of the file, ‘Save as’ to save it under a new name, and ‘Close’ to close the current file.
You can use the ‘Print’ item to send the current sigfile to the printer.
As usual, the last item is ‘Quit’, to return to the main application.
These menu items need no further explanation.

Edit Menu

The ‘Edit’ menu groups all items used to modify the contents of the signature file. ‘Edit Item’ loads the selected signature item in an editing window. ‘Add Item’ displays a similar window to create a new signature item. The three following items, ‘Cut’, ‘Copy’ and ‘Paste’, behave as in any editor.
Last but not least, the two items ‘Move Up’ and ‘Move Down’ allow one to move the selected signature item up one slot or down one slot (when the order of items matters).

Register Menu

This menu contains only one item, to store the current signature file for the main application in the Windows Registry.

Context-sensitive Menu

The context-sensitive menu offers four items selected from the ‘Edit’ menu: ‘Edit Item’, ‘Add Item’, ‘Move Up’ and ‘Move Down’. See above for more information.

Back to SignEdit Main Page

To go further:

  • User Interface
  • Features


Technical Data Sheet

This section offers several data sheets:

  • Binhex Standard
  • MacBinary Standard
  • Macintosh File Forks
  • Macintosh Files on the Internet
  • Macintosh Signatures


BinHex Format

Introduction
The BinHex format was created to meet two specific needs. First, it encodes binary data as ASCII characters (which use 7 bits) into binary files (which use 8 bits) and can be sent on the Internet. Second, it bundles into a single container both forks that compose a Macintosh file. Finally, the author, Yves Lempereur, added the RLE compression function to avoid sending repetitive sequences of identical characters.

How to identify a binhexed file
The suffix used for binhexed files is generally HQX. The signature of these files (on an HFS medium) is TEXTBNHQ.
Moreover, the first line of a BinHex file is:

(This file must be converted with BinHex 4.0)

You have only to open the file in a word-processor to ascertain that the file you received is indeed a BinHex file. Please note that, according to the specs, this comment line is not mandatory, but that all utilities we have used put this line at the beginning of the file. The BinHex standard also specifies that the first and last character of the data stream should be a double quote.
We have seen files where the line above was not the first one, but the second one. Our programs ‘choke’ on such files. Open them in a text-editor and delete the first line.

When can you get binhexed files?
The BinHex standard is one of the working modes (with mime) of most Macintosh mail software. These packages encode and decode the data stream automatically, and most users never know they are using binhexed files. Things are different when a Macintosh user sends a file to a PC user. Some mail packages on the PC don’t know the BinHex standard and just store the coded file on the hard disk.
The BinHex format is also used by some programs to build Macintosh files on other platforms. That is what Flash (Macromedia) does when asked to build a Macintosh animation. In this case, the BinHex coding plays the same role as the MacBinary coding, since the 7-bit coding is technically irrelevant.

How to decode binhexed files on the PC
There are several utilities for decoding binhexed files on the PC. They generally have some shortcomings, mostly because of the very nature of Macintosh files. The main shortcomings are:

  • The original Macintosh filename is lost.
  • The signature of the Macintosh file is not recognized.
  • The contents of the resource fork are lost.

On the other hand, our programs know BinHex files and manage them correctly.


MacBinary Format

MacBinary files
The MacBinary de facto standard (specs. of versions I, II and III can be found at Lazerware but should interest only programmers) allows both forks of Macintosh files to be kept together on telecommunications lines or on servers which don’t know anything about forks. A MacBinary file (SEA archives are only a special case) contains three parts:

  • Finder header (length 128 bytes)
  • Data fork (variable length)
  • Resource fork (variable length, beginning on the next block of 128 bytes)

When you download a Macintosh file from a server, be it a data file, a program file or an archive, you generally download a MacBinary file (See also our page on binhexed files). If you download it to a PC, you have to manage the parts and put them where they belong.

Reinstalling a MacBinary file on a Macintosh volume
The procedure for reinstalling the MacBinary file onto a Macintosh medium is pretty simple. Here are the instructions for using MacDisk to transfer the file to a Macintosh disk. See below for instructions with MacImage.
1. Take a Macintosh floppy or format one with MacDisk (remember you can use quick reformatting on a clean 1.44 MB PC diskette).
2. Click on the ‘PC to Mac’ button.
3. Select the file in the dialog box and start the copy. MacDisk automatically detects MacBinary files.
You will note that the file, on the Macintosh medium, doesn’t necessarily have the same name as on the MS-DOS medium. That is because the original filename was stored in the Finder header and MacDisk has restored it. You will also observe that a part of the file has been put in the data fork and another part in the resource fork.
If you mount the medium on a Macintosh, you should get a double-clickable application.

Including MacBinary files in a project under MacImage
When you include a MacBinary file in a project, MacImage identifies the format and looks for all details within the file. The process is quite transparent. You don't have to do anything special.


Macintosh File Forks

File Forks
Under the Macintosh file system, files do not consist of one single segment. They are composed of two segments, called forks, i.e. a data fork and a resource fork. Only one of these two forks may be empty.

Data Fork
The data fork contains what is generally called a file on the PC, for instance, the text created by a word processor or the pixels composing a picture, etc. When data files are transferred between a Macintosh and a PC, the data fork is the only part of interest (the only exceptions are font files and applications/programs).
If a Macintosh data file has lost its resource fork, for instance after being transferred through another file system, it remains fully usable, even if it is not recognized by the Finder and no longer double-clickable (because it has lost its signature). Just launch the application and open it with File | Open.

Resource Fork
The resource fork may contain the code of a program or the commands of a font file, etc. Some programs store a preview picture in the resource fork.
Despite what is often said, the resource fork doesn’t contain the signature of Macintosh files (file type and file creator).

Why a Resource Fork?
The resource fork is organised as a database, which allows a fast access to all components of the stream. This is a big advantage for some applications. It is also possible to change some elements without disturbing the rest of the file.

How to Manage Both Forks
Two main methods are commonly used to keep both forks of Macintosh files together on communication lines and on servers which don’t know anything about forks: the MacBinary standard and the BinHex standard.
Apple has also released two specifications, called AppleSingle and AppleDouble, to get a similar result.


Macintosh Signatures

What are signatures?
The Macintosh doesn't use the three-character extension concept (or even more than three, as under Unix and also nowadays under Windows) to identify files, but signatures. Signatures are strings of eight bytes, four for the creator (the program which created the file) and four for the file-type (text, picture, and so on).
The correspondence between signatures and icons is managed by the Finder, for all programs which happened to exist on a volume, in the Desktop file (a hidden system file which is never shown by the Macintosh but exists on every disk). With System 7 and upwards, the Desktop graduated to a double Desktop DB + Desktop DF, for reasons which would lead us too far away from our main point.

Where are signatures stored?
These signatures, contrary to what is often stated, even by knowledgeable persons, are not saved in the resource fork of each file, but in the catalog tree (on the disk, in a management structure that you will one hopes never have to look at).
This mistake originates in the fact that the programs (and only the programs, not the data files) put the icons they use in their resource fork and have to declare (in a bundle resource placed in their resource fork) the signature of the files they intend to manage, so that the Finder knows what to do when the user double-clicks on an icon. Another source of errors comes from the fact that some graphic files save in the resource fork a preview picture of the file (a thumbnail to display on the desktop).

Signatures tables
Here are some of the signatures and corresponding PC extensions we have collected (if you want to add or correct something, please feel free to send us an e-mail, we update the site almost weekly).
For those who need to edit the internal table of our Mac-PC transfer programs (MacDisk and MacImage), you will have to note the signature/extension you want to use/exploit and put it in the table displayed by the SignEdit utility. If you encounter an atypical file (something not giving the results expected), please check the real signature of a file whose origin is certain, on a Macintosh magnetic volume (see the far-right column of the display).

Generic formats
These signatures identify the file-type, but not the creator ('????' is a valid creator). They are useful when a program refuses to load a file because the signature is not what it expects and the programmer was too lazy to look into the file. We give the PC extension when there is a well established one.

Signature

Extension

Comments

APPL????

Application (program)

EPSF????

EPS

Generic EPS

JPEG????

JPG

Generic JPEG

PICT????

PCT

Generic Pict

TEXT????

TXT

Generic Text

TIFF????

TIF

Generic TIFF

Specific formats
These signatures identify both the file-type and the creator. Applications other than the creator generally look at the file-type only to ascertain whether they can open the file.

Signature

Extension

Comments

8BIM8BIM

PSD

Photoshop 3/4 files

8BIM8BPS

PSD

Photoshop

ALB4ALD4

PM4

Pagemaker 4

ALB5ALD5

PM5

Pagemaker 5

ALB6ALD6

PM6

Pagemaker 6

APPLaust

Self-extracting archive created by Stuffit

APPLEXTR

Self-extracting archive created by Compact Pro

AB65AD65

P65

Pagemaker 6.5

cDRWdDRW

Claris Draw

CWWPBOBO

CWK

Claris Works text v. 1 to 5

dPROdDOC

MDP

MacDraw Pro

DDAPDDFL

File compressed by Disk Doubler ??

EPSPXPR3

EPS created by Xpress

FH50AGD1

FH5

Freehand 5

FHD3FHA3

FH3

Freehand 3

FMP3FMP3

FMP/FP3

FileMaker Pro

FXTCEggP

AEP

After Effects' project file

inDdinDn

IND

Indesign Document

LWFNASPF

Adobe Type 1 Font

MDPLDRWG

MacDraw II files

MDRWDRWG

MacDraw files

MV93MD93

DIR

Macromedia Director

MooVTVOD

MOV

QuickTime files

MW2DMWII

Mac Write II

nX^2nX^n

WriteNow 3

nX^nnX^n

WriteNow 2

PACTCPCT

???

Archive created by Compactor (Pro)

PDF_CARO

PDF

Acrobat files (_ being a space)

QSfLQSfl

Check file of the Symantec AV

SIT!SIT!

SIT

Archive created by Stuffit

SITDSIT!

SIT

Archive created by Stuffit

SLD3PPT3

PPT

Power Point 3

SLD8PPT3

PPT

Power Point 98

StMIGIFf

GIF

GIF files created by PageMill

StMITEXT

HTM

HTML files created by PageMill

TEXTART3

AI

Illustrator 3

TEXTBNHQ

HQX

BinHex

TEXTOMEG

Mathematica (all kinds of files)

W6BNMSWD

DOC

Microsoft Word 6

W8BNMSWD

DOC

Microsoft Word 8 (98)

WDBNMSWD

DOC

Word 3/4/5 Macintosh

WORDBOBO

CWK

Claris Works (word processor)

WORDMACA

Mac Write 4.6/5

WP42SSIW

WP4

WordPerfect 4 (saved by WP for the Mac)

WP50SSIW

WP5

WordPerfect 5 (idem)

WTBNMSWD

DOT

Word Template

XDOCXPR3

QXD

Xpress (all versions)

XLBNXCEL

XLS

Excel 1 for the Macintosh

XLS4XCEL

XLS

Excel 4

XLS5XCEL

XLS

Excel 5

ZIP_ZIP_

ZIP

Zipped archive (_ being a space)

Below a more general list of file-type and creator strings that we have already seen.

File-types

Signature

Comments

..CT

Scitex files (put 8BIM as creator if you want that files open directly in Photoshop when you double-click on them on the Mac

.WP4

PC WP4 file as seen by Wordperfect 2 for the Mac

.WP5

PC WP51 file (idem)

8BIM

Adobe Photoshop native format

8BPS

Transparent

AB65

Pagemaker 6.5

ALB3

PageMaker 3

ALB4

PageMaker 4

ALB5

PageMaker 5

ALB6

PageMaker 6

AWDB

MS-Works database

AWSS

MS-Works spreadsheet

AWWP

MS-Works word processor file

BINA

Text file saved as Word DOS or Word Windows file by Word Mac 5

CrTC

Project file by Toast 3

CWWP

Claris Works text file

DCT5

MS-Word dictionary

DDFL

Disk Doubler data file

dDOC

MacDraw Pro file

dDRW

Claris Draw File

DRWG

MacDraw file

DWG_

AutoCAD file (_ being a space)

EggP

After Effects' project file

EPSF

EPS file

FFIL

Font Suitcase (Type 1 or True Type)

ffil

Display Font

FH50

Freehand 5 file

FHD3

Freehand 3 file

F#+D

Rag Time Classic file

FMK$

FileMaker 1 file

FMP3

FileMaker Pro file

GIFf

GIF files created by PageMill

GLOS

MS-Word glossary

HImg

Image file created by Toast 3

inDd

Indesign Document

JPEG

JPEG file

lfil

True Type Font

LWFN

Type 1 Font (PostScript font)

MooV

QuickTime file

MPEG

MPEG file (MPEG1 coding)

MPWd

MacWrite Pro 1.5 file

MW2D

MacWrite II file

MW2S

MacWrite II model

nX^2

Write Now 3 file

nX^d

Write Now 2 file

PACT

Compactor data file

PDF_

Acrobat files (_ being a space)

PICT

PICT file

R#+A

RagTime Classic text file

RTF_

RTF File (the _ being a space)

S#+A

Rag Time 2 text file

SIT!

Stuffit Archive

SITD

Stuffit Archive

SLD3

PowerPoint 3

SLD8

PowerPoint 8

TIFF

TIFF file

W6BN

Mac Word 6

W8BN

Mac Word 8 (98)

WDBN

Mac Word 3, 4, 5 text file

WHLP

MS-Word help file

WORD

MacWrite formatted file

WP42

PC WP4 file seen by Wordperfect 1 for the Mac

WP50

PC WP51 file seen by WordPerfect 1 for the Mac

WPD0

WordPerfect 1 text file

WPD1

WordPerfect 2 text file

WPD3

WordPerfect 3 text file (what happened to the '2'?)

WPRD

MS-Word print file

WTBN

Word Template

XDOC

Xpress file

XTMP

Xpress template

XLBN

Excel 1 spreadsheet

XLS_

Excel 2.2 spreadsheet (_ being a space)

XLS3

Excel 3 spreadsheet

XLS4

Excel 4 spreadsheet

ZIP_

Zipped archive (_ being a space)

Creator strings

Signature

Comments

8BIM

Adobe Photoshop

ACAD

AutoCAD

AD65

Pagemaker 6.5

AGD1

Freehand 5

ALD3

PageMaker 3

ALD4

PageMaker 4

ALD5

PageMaker 5

ALD6

PageMaker 6

APLS

??

ART3

Illustrator 3

ART5

Illustrator 5 and later

ARTY

Illustrator 1

ARTZ

Illustrator 88

BOBO

Claris Works

CARO

Acrobat Distiller

CDr3

Toast v. 3

cDRW

Claris Draw

CPCT

Compactor (Pro ?)

DDAP

Disk Doubler

dPRO

MacDraw Pro

ERIK

Finder (Desktop files)

F#+A

Rag Time Classic

FHA3

Freehand 3

FMK4

FileMaker II ?

FMP3

FileMaker Pro

FXTC

After Effects

inDn

InDesign

MACA

MacWrite 2.2 and 4.6

MDRW

MacDraw

MDPL

MacDraw II

mdos

DOS file copied by AFE or PC Exchange

MOSS

Netscape (Mozilla)

MPWR

MacWrite Pro

MSWD

Microsoft Word 3/4/5 for the Mac

MWII

MacWrite II

nX^n

Write Now v. 3

OMEG

Mathematica

PPT3

PowerPoint (all versions)

PSIP

Works 1

PSI2

Works 2

R#+D

Rag Time 3

S#+D

Rag Time 2

SIT!

Stuffit

SSIW

WordPerfect 1

StMI

Adobe PageMill

vgrd

LaserWriter (Postscript file)

WPC2

WordPerfect 2 (3 also)

XPR3

QuarkXpress 3

XCEL

Excel

Other sites which may be helpful:

  • Signature Page on our Internet site
    This page is only a copy of the Internet page, you may want to visit the original page, which is updated more frequently.
    • /ul>


Destination folder

Introduction
This window is displayed by the program when you click the button 'Copy Mac to PC' or the menu item with the same name. This big window is often a source of incomprehension, in particular for users new to the Windows user interface. We will therefore explain below some basic matters that experienced users may ignore.

Why a Destination Folder?
The aim of this window is to select the destination folder which will be the target for the files or folders that you selected in the Macintosh volume. It allows you to navigate the PC hard disk(s). A button allows you to create subfolders if you want to, in order to get better storage organization for the files and folders you're copying from the Macintosh volume. When you are satisfied with the current folder, click on the button 'Copy in current folder'.

Navigation
The 'Path' line shows where you are in the Folder tree. This string begins with the disk letter (for example 'C:\'), followed by the names of the folders and subfolders, separated by a backslash ('\'). An access path like "C:\MAC\FILES" means that, from the root folder of the C: disk, you have opened and expanded the 'Mac' subfolder and then the 'Files' subfolder.
This string is updated each time you change the current drive (in the Drives list) or the current folder (in the Folders list). If you double-click a folder in the folder list, you open it, and its name is added to the access path. On the other hand, if you click on one of the two navigation buttons, you go up into the parent folder and the last item of the access path is deleted.
If you are new to the PC under Windows, take the time to learn this navigation method. You’ll be using it every day in all disk operations. In particular, check the effects of all your commands on the 'Path' variable.


Copy PC -> Macintosh Volume

This window allows the user to navigate the PC hard disk and to select the PC files to be copied onto the Macintosh volume.

Navigation
The 'Path' line shows where you are in the Folder tree. This string begins with the disk letter (for example 'C:\'), followed by the subfolders. An access path like "C:\MAC\FILES" means that, from the root folder, you have to open and expand the 'Mac' subfolder and then the 'Files' subfolder. This string is updated each time you change the current drive (in the Drives list) or the current folder (in the Folders list).

Copying files
You can copy all the files in the current folder or a selection of those files. The files contained in the current folder are displayed in the lefthand listbox. If the filename mask in the upper editbox is '*.*', all files are displayed. If you type a restrictive mask (for an example '*.doc'), you'll only list the files whose extension is DOC. You can select files in the Files Listbox using the usual Windows commands. Click on one file to select it. You can extend the selection with the CAPS key and add single files to the selection with CTRL.
When the selection is correct, just click on the button 'Copy Selection'. If you want to copy all files displayed in the lefthand listbox, click on the button 'All Files'.
If you want to copy several sets of files from the same folder (without getting back to the main program screen), check the box titled 'Don't close after copy'. In this case, the program doesn't close the window when the copy is completed, but waits for new commands. Otherwise, the program closes the box when the copy is completed.


Creating a Folder

This window allows you to supply the name of the folder to be created on the target medium.
On a Macintosh medium, the folder name can't exceed 31 characters in length.


Simple Message Box

This message box displays an information message. Information messages of little importance are displayed in the status bar (at the bottom of the main window). More important messages are displayed with message boxes like this. It may be useful to note the exact wording of the message before contacting Technical Support.

Back to "How to..."


Interruption Message Window

This message window is displayed if the user hits the ESC key while the program is executing a lengthy operation. You can choose to abort the operation or to continue.

Please note that some operations (such as formatting a disk) can't be cancelled.

Back to "How to..."


Message Window with Yes/No option

This message window is displayed by the program to ask a question while offering two answers: Yes and No. It is used in several circumstances, like the deletion of files and folders.

Back to "How to..."


Message Window with Yes/No and All/None options

Message Window asking a question and offering the usual Yes and No buttons, plus All and None buttons so that one is not asked the same question each time the dialog gets called during the operation (e.g. for each file of a selection being deleted).

Back to "How to..."


Properties

This big window displays all properties (attributes) of the selected Macintosh file. Those attributes are the name, the data fork size, the resource fork size, the signature and the creation and last modification dates. Most of these elements can be edited. You should nevertheless know what you are doing. You are not making a graphical file of a text file just because you have changed its signature.
On the other hand, there are some programs (for instance, MacWrite 4.6, which is now too old to make this comment offensive) which refuse to open a file when the signature is not what they expect to find. Such an editing function is therefore very useful.
Another editbox displays the identification string displayed by the program in the 'Type' column. A button titled 'Advanced' calls a secondary window which may be of some interest to the techies. If the file is stored on a NTFS/SFM volume, this button is labelled ‘Normalization’.

Back to "How to..."


Properties (2)

This second window displays technical information about the selected file.

Back to "How to..."


Renaming a file or folder

This window is used to type the new name of the file or folder you want to rename.
It is also used to change the volume label.

Back to "How to..."


Selection Window

This window asks you to make a selection from the listed items and is used for partition selection, file selection, etc.

Back to "How to..."


Selecting a File

At the end of a search operation, several files correspond to your criteria. Select the one which interests you.

Back to "How to..."


Title

When the Macintosh medium is partitioned, the program displays this window to allow you to select the partition to be displayed.
The same principle applies to the sessions or tracks of a multi-session CD-ROM.


Copying Files

To go further...

  • Copying the Data Fork
  • Copying the Resource Fork
  • Copying files and folders from the PC to the Macintosh Volume
  • Copying files and folders from the Macintosh Volume to the PC
  • Files Copying Modes
  • Brute Force Copy


Low-Level Disk Access

Introduction
MacDisk uses two main methods to access the disks:

  • under Windows 95/98/ME and NT 4, it uses the ASPI manager
  • under Windows 2000 and XP, it uses a special service (Lsdiorw) exploiting the IOCTL (Input/Output Control) and SPTI (SCSI Pass-Through Interface) low-level calls

When to Switch Methods
In some configurations under Windows 2000 or XP, the program can’t access some drives or their contents.
When using the Lsdiorw service, the drives are shown in the Drive Selection window, but a click on any one of them immediately returns without displaying any result. In this case, try to switch to the ASPI method.
On the other hand, when using the ASPI method, the Drive Selection window doesn’t show the USB and Firewire drives. Try to switch to the Lsdiorw method.
In both cases, you have to exit the program and re-launch it for the changes to take effect.
Please note that this change resets the Black List of drives you don’t want to display in the Drive Selection window.

How to Switch Manually
If you want to switch manually, open the Registry Editor, find the ‘Aspi’ key under HKEY_LOCAL_MACHINE\ SOFTWARE\LS_Duhem\MacDisk. Change the default REG_SZ value to ‘-1’ in this key to switch to the Lsdiorw method and to ‘1000’ to switch to the ASPI method.
Under Windows 2000 and XP, the program doesn’t install the ASPI layer automatically. If there is no ASPI layer on your computer, you’ll have to install it manually, using the installer to be found in the ‘Aspi’ folder on the distribution CD-ROM.

To go further:

  • Disks supported by MacDisk.


Lsdiorw Service

Introduction
Under Windows 2000 and XP, our utilities no longer use the ASPI layer. We have written a specific service, Lsdiorw, which calls the SPTI and IOCTL functions.

Installation
When running the installer for the demo/trial version or for the full version, a special installer for the Lsdiorw service is launched. This installer should be run from an administrator account. If the installation process fails and you can’t find the files Lsdiorw.exe and instserv.exe on your computer (normally in the folder \Program Files\LS_Duhem\Lsdiorw), you can download a fresh version from our Website using the following links: Lsdiorw4.zip.
This archive contains an installation/desinstallation tool (lsdinst.exe) which offers two buttons ('Install' and 'Uninstall'), depending on the state of the service.

Working Mode
When idle, the service runs in the background and does nothing. In particular, it doesn’t consume resources. It runs under all accounts (even for a restricted user).
When a program wants to access its functions, it passes the addresses of memory regions which will be shared amongst them in order to transfer commands and to transfer data.
When the application exits, it asks the service to free the handles opened on these memory regions and to return to the idle state.

Errors
In case of an error, the Service Manager stops the Lsdiorw service. You then have to restart it. Go to Start, Control Panel, Administrative Tools and Services. In this list, right click on the Lsdiorw entry and select the Start item. This operation should be performed from an administrator account.

Disk Access Rights
Administrators may legitimately fear that users may execute some low-level operations (like formatting) on some disks that should be protected. To implement the security model, administrators may define, in MacDisk, a Black List of disks.
This Black List contains all local disks on the computer that should not show in the Drive Selection window.
Since the Black List is a normal feature of MacDisk, we have implemented a method of locking it (the normal user can’t access it any more). See the file admin.txt.

See also: Disk Access Methods.


Folder Properties

This window displays the properties of the selected folder, specifically the number of included files and sub-folders.

Back to “How to...”


Brute Force Search of the Volume Header

Some disk formatting schemes do not strictly follow the formatting rules specified by Apple. In particular, some formatting programs fail to fill the first sector (sector 0) with a Volume Descriptor Block or VDB. In this case, if the disk was previously formatted under MS-DOS, it is possible that sector 0 still contains a valid MS-DOS partition table. In this situation, MacDisk will not automatically search for the volume header (Master Folder Block, or MDB).

If you are positive that the medium is Macintosh-formatted, you can specify a brute force search. MacDisk then scans the disk from the beginning to find a MDB.

Caution: Such a volume should be reformatted as quickly as possible after you have saved your data.


Column Settings

This window displays the current settings of the columns composing the listview, with checkboxes. Check the columns you want to display and uncheck the others.
This setting is saved across sessions in the Windows Registry.

The 'Default' button checks all columns and restores the original widths.
Some of the columns (for instance 'Name') can't be hidden.
You can also choose to show or hide the Explorer bar (navigation pane, on the left).


Special Copy

Sometimes, files can’t be copied to the PC because of special protection schemes, such as filenames containing a space character or the like. This can prevent the program from copying the files located after this one on the medium.
In this case, you can use this special copy mode. In this mode, the program copies all files to the target folder, but you can’t select the files to be copied.

The syntax is simply “copy *”. If you want to copy only files beginning with an ‘M’, the syntax is “copy M*”.

Back to “How to...”


MacDisk Dialog Windows

When the program needs some input from the user, it displays a window in accordance with the general principles of the user interface under Windows. Each of these windows offers a context-sensitive Help function.

This contextual help can be called by clicking on the button with a question-mark, in the upper right-hand corner:

A question-mark is then added to the normal cursor. Just click anywhere in the window to display a little popup with an explanation:

This Help feature is handy, but a drawback is that any click in the window closes it. This means that you can’t go any further if some concept needs more explanation. The program provides a second way to call the Help system.

The program icon, displayed in each window, is also a Help button.

Just click on it to display a normal Help window with more detailed information. This time, the window will remain open and you can navigate the Help system.


The ExcludeMiniports Registry Key

I don’t see my CD-ROM or my Zip drive
All the drives are shown in the Drive Selection dialog box except the CD-ROM drive and/or the Zip drive. This behavior can occur as a consequence of the installation of another application, like CD-ROM burning software, which updates the ASPI layer.
To correct this situation, you’ll have to edit the registry. Launch RegEdit to access your Registry and search for the string “ExcludeMiniports”.
Under Windows NT/2000, this string is under the key:

HKEY_LOCAL_MACHINE

   SYSTEM

      CurrentControlSet

          Services

              Aspi32

                 Parameters

                     ExcludeMiniports

Under Windows 95/98, it is under the key:

HKEY_LOCAL_MACHINE

  System

    CurrentControlSet

       Services

          VxD

            APIX

              ExcludeMiniports

If the key “ExcludeMiniports” is present, what is in it is probably “ATAPI”. Right-click on the key and choose ‘Modify’, then delete the contents. Restart the computer. You should now access the CD-ROM (or other IDE/ATAPI drives) normally.
Caution: we saw at least one case where this locking was useful. After the change described above, the computer crashed whenever a program used the ASPI layer to access the CD-ROM. In this case, we don’t know of any solution for accessing the CD-ROM except changing the drive.
The ASPI installer can easily get confused by some configurations, when it doesn’t know where to create the ExcludeMiniports key and doesn’t do its job. The consequence is that the ATAPI drives are locked out anyway and don’t appear in the list (in other words, the locking out of the drives happens (1) if there is no key or (2) if the key exists and contains “ATAPI”).
Under Windows NT/2000, you should open RegEdit and create a “Parameters” key under Aspi32, then leave the Default key as undefined and create a key named ExcludeMiniports whose contents is an empty string. You can do that for each of the control sets, but the control set which matters is the CurrentControlSet.
Under Windows 95/98, the same thing happens if the ASPI installer hasn’t created the APIX key. You would then have to create the APIX key, then the “ExcludeMiniports” key (see above).
You can also download our utility AspiTest to do this (click on the button ‘Registry’ when the program displays the version number of the ASPI files.


Volume Properties

This window displays some technical information about the current Macintosh volume.
It also enables the user to rename the current volume.
For example, you can ascertain whether a disk is formatted as HFS or HFS+, whether it is an NTFS volume or an MS-DOS floppy disk, etc.
The first window displays only basic information (size, free space, number of files and folders). Clicking on the ‘>> Advanced’ button calls a more detailed version of the information window.

No user input expected.

Back to “How to...”


Other Basic Operations on the Macintosh Volume

Renaming the Mac Volume
Let’s now assume that the Macintosh volume you are working with has an ugly name like ‘Untitled’ or comes from one of your external collaborators who has given it his name as volume name. However, your client is not supposed to know that some part of the work was not done by you, nor that another party has had a hand in it.

In the ‘Mac Volume’ menu, choose ‘Volume Properties’. The program displays a dialog window which, amongst other things, shows the current name of the disk and lets you enter the new name.

Once you have clicked on ‘OK’, the program renames the volume and shows the updated work screen.

Deleting a File
Looking at the list of “*.DOC” files you have copied, you realize that one of them should not have been included in your selection and must therefore be deleted. Select the file in question and click on the [image] button or on the DEL key. The program deletes the file and displays the updated contents of the directory.

Renaming a File
Finally, let’s assume that you want to change the name of one of the files just copied, to express more clearly the contents of the file. To do so, you select the filename to be changed and then right-click and select the Rename option. The program opens a dialog window which shows the current filename and lets you enter the new name.
The same principle applies to renaming a folder.

Once you have clicked on ‘OK’, the program renames the file and displays the update on the work screen.

End of the Walkthroughs
This is the end of our walkthroughs. You now know enough to use MacDisk for plain data file exchanges.
On the other hand, the Help system (see the ‘Contents’ pane on the left) also offers help for all other situations (less frequent or even rare ones).


MacText Errors

There are several possible explanations for why the conversion process hasn’t worked.

The format of the file is not the format you specified
It is possible that the file you wanted to convert is not a Claris Works file, but an MS-Works file. MacText is not always able to ascertain the real format of the file directly, because not all formats contain a sufficient number of characteristic elements.

The file is not a Text File
The file may be a Claris Works file, but it is not a text file (it could be a spreadsheet or a database, etc.). MacText manages only text files. For spreadsheets, the solution is generally to export to Excel format, or to Sylk format for older files. Databases should be exported as delimited ASCII files (comma separated, tab separated, etc.). Such raw data files are then imported into the target application.

Back to MacText Main Page.


Copy Modes

Introduction
The Copy Mode Selection window is hidden in the Expert menu for two reasons:

  • It is the most frequently-used mode by far.
  • A great number of the calls to the hotline concern files copied to the PC by users who changed this mode without knowing exactly what they were doing.

The Copy Modes
There are three copy modes:

  • Normal copy (data copy)
  • Resource copy
  • Binary copy (MacBinary mode)

Normal Copy (Data fork copy)
This is the default mode. When launched, the program always defaults to this mode. It is the most frequently-needed mode, because, most of the time, you want to use only Macintosh data files. You should not switch to another mode without knowing precisely why you’re doing it.

Resource Copy
Nevertheless, it’s possible that you might need to copy the other fork of the file (for example, in order to transfer font files). See also the integrated font transfer features of MacDisk.

Binary Copy (MacBinary mode)
The MacBinary copy mode is useful if you want to send a Macintosh file containing both a data and a resource fork to a server, for example.
This copy mode is also used when the file is to be included later by MacImage in a Macintosh-only CD-ROM (HFS only), a hybrid CD-ROM (HFS/ISO 9660) or an ISO 9660 CD-ROM with Apple Extensions.

Back to “How to...”


Normalization

The names of Macintosh files stored on NTFS/SFM volumes can contain some characters that are not allowed on a PC volume. Furthermore, they generally have no extension.
This window shows the original filename and the ‘normalized’ filename (all impermissible characters are replaced by “_” and a file extension is added to the name). The ‘Shorten Name’ button is enabled if the filename is longer than 31 characters.

Please note that, while such a function may be necessary in some circumstances, one should not use it without thinking twice, since the users who have created files will not be able to find them under the same name, which could produce some problems.

When the filename normalization produces identical filenames, we add before the extension dot a CRC string introduced by the sharp sign(‘#’), i.e. ABC_.DOC, where “_” is a non-displayable character, will produce ABC_#34BF.DOC.


NTFS and Services for Macintosh

NTFS and file streams
Under the New Technology File System, files are not necessarily monolithic, as they are under the FAT system, but can be composed of several named or unnamed streams. These streams can be used for several purposes, and the Services for Macintosh (SFM) uses them to store the Macintosh files without losing their forks.

NTFS and Macintosh files
Therefore, it is possible to store and recover independently both forks of Macintosh files. The SFM service stores a third stream to keep a note of what is generally called the Finder Information.

Back to “How to...”


Preferences

This window allows the user to select several program settings:

General Behavior

Those five switches are self-explanatory. They are meant for advanced users who don't need confirmations when deleting files or folders. You're then on your own.

  • show/hide the system files and folders
  • confirm or not when you exit the program
  • confirm or not when you delete several files, and even non-empty folders
  • show/hide the Expert Menu
  • do/don't test to access the drive when formatting

Miscellaneous Settings

It is possible to display text instead of pictures in the toolbox. Caution, this feature doesn't work with some older display adapters.
When the filenames contain non-displayable characters, the program uses the question mark as default. You may choose another.

Font Conversion

When the program asks whether it should convert a font, you may tell it to not ask again. These two options are meant to cancel that choice when needed.

Default File System

This option allows the user to select the default file system used when formatting a Macintosh volume. Please note that the HFS+ file system (Mac OS Extended) is used anyway for volumes bigger than 40GB.

File-Naming (Copy to the PC)

  • Long file names
  • File names unchanged
  • Short file names (8+3)
  • On-the-fly file renaming
  • File names unchanged = extension

No comments needed.

Default Extension

When copying files, you may want to use a default extension to rename the files. In such a case, specify the extension to be used.

File Copy to the Macintosh Medium

When copying file to the Macintosh medium, it may be necessary to truncate the filenames. The HFS file system allows only 31 characters. In such a case, there is a risk of collision between truncated filenames. You may select the second option where the file name is truncated at 26 characters, followed by a dash and a CRC computed from the original filename, which guarantees a unique filename.
The second option tells the program always to overwrite the existing files silently.

Expert Options

If you have enabled the Expert Menu (see the Options Menu and above), you may choose to save the copy mode (data only, resource only or both forks in MacBinary container) between working sessions. We don't reckon to use this option, because one forgets this setting too easily and the problems downwards are difficult to analyse.

Back to “How to...”


Exit Program

This window asks you to confirm that you really want to return to Windows. Just in case you have hit the ‘Alt-F4’ key combination too fast and still have something to do in the program.
If you feel that this kind of confirmation is not necessary, you can change the behavior of the program in the ‘Preferences’ window, accessible through the ‘Options’ menu.

Back to “How to...”


Registry Keys for the ASPI Layer

This window displays the keys used to define the behavior of the ASPI layer (HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\Aspi32 for Windows NT/2000/XP, HKEY_LOCAL_MACHINE\System\CurrentControlSet\VxD\APIX for Windows 95/98/ME), in particular the “Parameters” key. If it contains “ATAPI” or if it doesn’t exist, the ASPI layer doesn’t show the IDE/ATAPI drives. You can create this key or reset its contents to allow the program to show these disks. After that, you should reboot the computer (a third button appears for you to do this).
Caution: we have observed some very rare cases where this measure is necessary (immediate blue screen when attempting to access one of these drives through the ASPI layer). In this case, please note the key, open the Registry editor (regedit.exe) and find the old key (renamed “OldExcludeMiniports”). Delete the key “ExcludeMiniports” and rename “OldExcludeMiniports” to “ExcludeMiniports”. Reboot the computer again to activate these changes.

Back to “How to...”


Signature File in the Registry

This window displays the key used to store the signature file in the Windows Registry.
It lists the current contents of this key.
The third edit window is used to select a new signature file (through the 'Browse' button on the right).


Signature Editing

This window displays the current signature and allows you to edit it. It also displays the filename and a comment about the file-type.
You can choose to ignore the current file, to ignore all files (abort the signature checking), to modify the current signature and to modify all signatures (if you are sure that there is only one file-type to correct).
It is used in the checks about aliases and signatures, before saving the current partition or before hybridating an ISO image.

Back to “How to...”


Drive Access Test

When you right-click on one of the buttons representing the drives in the Drive Selection window, MacDisk checks that the drive you selected is indeed the one you intend to use to read/write by performing a read test, which is a non-destructive test, in order to allow you to check that the access LED lights up on the correct drive.

Back to “How to...”


MacMail File Treatment

Extraction of File Contents
This option is available for BinHex, MacBinary, AppleSingle and AppleDouble containers. Macintosh files are made up of two forks. You may choose to extract the data fork, the resource fork, or both of them. The first option (data fork, default option) is what is needed most of the time. The two other options will interest only techies.

Conversion to MacBinary
This option can be useful if you want to install the file onto a Macintosh disk, for instance with our tools MacDisk or MacImage. The MacBinary standard allows one to put into a single file (the so-called container) both forks of the original Macintosh file, plus some additional information.

Conversion of Font File
If MacMail recognizes a font file (True Type font, Type 1 [PostScript] font or Open Type font), it offers to convert the file to the file format used on the PC. The result is correct with correctly coded source files. This is not always true. In such a case, you'll have to open the resulting file in a font editor to change the coding and resave the font.
If MacMail doesn't offer the option of converting what you think is a font file, this is probably a screen display file, which is useless on the PC.

Conversion to RTF
In the case of text files which are not handled by the main text-processors on the PC, MacMail offers to convert the file to RTF.
This will allow you to reopen the file in Word or in other text-processing software.

Addition of an Extension to the Filename
When the files aren’t containers, but plain data files, the main problem is often that it may be difficult to ascertain the very nature of the file, because Macintosh users generally don’t put extensions at the end of filenames. If MacMail can find out the origin of the file, it will display it in the ‘Properties’ box and allow the user to add the extension.
MacMail may identify a great number of data files (Word, Excel, RTF, Xpress, TIFF, EPS, Claris/Apple Works, GIF, JPEG, PNG, Filemaker Pro, etc.).
If you discover common data files that MacMail can’t identify, please send us a copy of such a file, and we’ll add the treatment of these files to the program. Thanks in advance!